Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.validate
Interface Schemata.Column

All Known Implementing Classes:
  ImmutableColumn, PlanUtil.AbsentColumn

Enclosing interface:
  Schemata

    public static interface Schemata.Column

Information about a queryable column.

Method Summary
`Object` | `getMaximum()`
`Object` | `getMinimum()`
`String` | `getName()` Get the name for this column.
`Set<Operator>` | `getOperators()` Get the set of operators that can be used in a comparison involving this column.
`String` | `getPropertyTypeName()` Get the property type for this column.
`PropertyType` | `getRequiredType()`
`boolean` | `isComparable()` Get whether this column can be used within a comparison using `operators` other than `Operator.EQUAL_TO` or `Operator.NOT_EQUAL_TO`.
`boolean` | `isFullTextSearchable()` Get whether the column can be used in a full-text search.
`boolean` | `isOrderable()` Get whether this column can be used within an `ORDER BY clause`.

Method Detail

### getName

    String getName()

  Get the name for this column.

  Returns:
    the column name; never null

### getPropertyTypeName

    String getPropertyTypeName()

  Get the property type for this column.

  Returns:
    the property type; never null

### isFullTextSearchable

    boolean isFullTextSearchable()

  Get whether the column can be used in a full-text search.

  Returns:
    true if the column is full-text searchable, or false otherwise

### getOperators

    Set<Operator> getOperators()

  Get the set of operators that can be used in a comparison involving this column.

  Returns:
    the operators; never null but possibly empty

### isOrderable

    boolean isOrderable()

  Get whether this column can be used within an `ORDER BY clause`.

  Returns:
    true if this column can be used in an order specification, or false otherwise

### isComparable

    boolean isComparable()

  Get whether this column can be used within a comparison using `operators` other than `Operator.EQUAL_TO` or `Operator.NOT_EQUAL_TO`.

  Returns:
    true if the column can be used in a comparison other than "=" or "!=", or false if only "=" and/or "!=" can be used

### getRequiredType

    PropertyType getRequiredType()

### getMinimum

    Object getMinimum()

### getMaximum

    Object getMaximum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.